#include <iostream>
#include <cmath>
using namespace std;

int main()
{

    int T;cin>>T;
    int N[T];
    for(int r=0;r<T;r++){
        cin>>N[r];
        long long szamtomb[N[r]];
        long long szorzatok[N[r]];
    for(int x=0;x<T;x++){

        for(int a=0;a<N[a];a++){
            szamtomb[a]=a+1;
        }
    }
        for(int i=0;i<N[r];i++){
            if (i+1<10)
                szorzatok[i]=szamtomb[i];
            else if(i+1<100)
                szorzatok[i]=(szamtomb[i]%10*szamtomb[i]/10);
            else if (i+1<pow(10,3))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*szamtomb[i]/100);
            else if (i+1<pow(10,4))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/pow(10,3)));

        }
        cout<<N[r]<<endl;
    }
    return 0;
}